package lab.game;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;
import lab.Config;

public class Obstacle extends WorldEntity {

	private MyDimension size;

	public Obstacle(Level level) {
		this(level, new MyPoint(200, 100),
				new MyDimension(Config.getInstance().getObstacleWidth(), Config.getInstance().getObstacleHeight()));
	}

	public Obstacle(Level level, MyPoint position, MyDimension size) {
		super(level, position);
		this.size = size;
	}

	public void drawInternal(GraphicsContext gc) {
		gc.setFill(Color.BLUEVIOLET);
		gc.setStroke(Color.RED);
		gc.setLineWidth(3);
		gc.fillRect(position.getX(), position.getY(), size.getWidth(), size.getHeight());
		gc.strokeRect(position.getX(), position.getY(), size.getWidth(), size.getHeight());
	}

	public void simulate(double delay) {
		/* nothing to do */
	}

}
